Public Member Functions | Static Public Attributes

# FSoundDriver_Cocoa Class Reference

Inheritance diagram for FSoundDriver_Cocoa:

## Public Member Functions
const char * | GetName ()
| Get the long, human readable, name for the Driver-class.
const char * | GetDescription ()
| Get a nice description of the driver-class.
Driver * | CreateInstance ()
| Create an instance of this driver-class.
## Static Public Attributes
static const int | priority = 10
| The priority of this factory.

## Detailed Description

Definition at line 25 of file cocoa_s.h.

## Member Function Documentation

Driver* FSoundDriver_Cocoa::CreateInstance | ( |  | ) | `[inline, virtual]`

Create an instance of this driver-class.

Returns:
  The instance.

Implements DriverFactoryBase.

Definition at line 30 of file cocoa_s.h.

const char* FSoundDriver_Cocoa::GetDescription | ( |  | ) | `[inline, virtual]`

Get a nice description of the driver-class.

Returns:
  The description.

Implements DriverFactoryBase.

Definition at line 29 of file cocoa_s.h.

The documentation for this class was generated from the following file:

- src/sound/cocoa_s.h